=== templates/CMakeLists.txt ===
install( FILES glossary.html index.html search.html DESTINATION ${KDE_INSTALL_DATADIR}/khelpcenter/templates )
