=== debian/changelog ===
khelpcenter (4:23.08.3-1) unstable; urgency=medium

  * Team upload.

  [ Jesse Rhodes ]
  * New upstream release (23.08.2).
  * Update build-deps and deps with info from cmake.
  * Update and clarify package descriptions.
  * New upstream release (23.08.3).

 -- Jesse Rhodes <jesse@sney.ca>  Sat, 11 Nov 2023 17:43:05 -0500
