=== debian/control ===
--- 
+++ 
@@ -8,7 +8,6 @@
                debhelper-compat (= 13),
                extra-cmake-modules (>= 5.89.0~),
                gettext,
-               kinit-dev (>= 5.64.0~),
                libgrantlee5-dev,
                libkf5archive-dev (>= 5.89.0~),
                libkf5bookmarks-dev (>= 5.89.0~),
@@ -33,17 +32,14 @@
 
 Package: khelpcenter
 Architecture: any
-Depends: kdoctools5, kinit, ${misc:Depends}, ${perl:Depends}, ${shlibs:Depends},
+Depends: kdoctools5, ${misc:Depends}, ${perl:Depends}, ${shlibs:Depends},
 Recommends: man-db,
 Conflicts: dhelp (<< 0.6.26),
-Description: KDE documentation viewer
- KHelpCenter uses meta data files which describe the documentation
- available in the system. Each document is represented by a meta data
- file and shown as an entry in the KHelpCenter navigation tree view.
- The meta data contains information about title and short description
- of the document, the location of the document and some more
- information like how to search the document and translations of title
- and description. Document hierarchy is represented as hierarchy of
- the meta data files. Directories are also described by a meta data
- file which contains the same information as a document meta data
- file.
+Description: search and read system documentation
+ KHelpCenter is an application to search and read documentation for 
+ applications, modules, libraries, and system utilities.
+ .
+ It collects documentation from various sources (KDE community, man pages, etc) 
+ and displays them in one window.
+ .
+ This package is part of the KDE System module.
