=== debian/control ===
Source: khelpcenter
Section: doc
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Norbert Preining <norbert@preining.info>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.89.0~),
               gettext,
               kinit-dev (>= 5.64.0~),
               libgrantlee5-dev,
               libkf5archive-dev (>= 5.89.0~),
               libkf5bookmarks-dev (>= 5.89.0~),
               libkf5config-dev (>= 5.89.0~),
               libkf5coreaddons-dev (>= 5.89.0~),
               libkf5dbusaddons-dev (>= 5.89.0~),
               libkf5doctools-dev (>= 5.89.0~),
               libkf5i18n-dev (>= 5.89.0~),
               libkf5khtml-dev (>= 5.89.0~),
               libkf5service-dev (>= 5.89.0~),
               libkf5windowsystem-dev (>= 5.89.0~),
               libxapian-dev,
               libxml2-dev,
               pkg-config,
               pkg-kde-tools (>= 0.15.18~),
               qtbase5-dev (>= 5.15.0~),
Standards-Version: 4.6.1
Rules-Requires-Root: no
Homepage: https://invent.kde.org/system/khelpcenter
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/khelpcenter
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/khelpcenter

Package: khelpcenter
Architecture: any
Depends: kdoctools5, kinit, ${misc:Depends}, ${perl:Depends}, ${shlibs:Depends}
Recommends: man-db
Conflicts: dhelp (<< 0.6.26)
Description: KDE documentation viewer
 KHelpCenter uses meta data files which describe the documentation
 available in the system. Each document is represented by a meta data
 file and shown as an entry in the KHelpCenter navigation tree view.
 The meta data contains information about title and short description
 of the document, the location of the document and some more
 information like how to search the document and translations of title
 and description. Document hierarchy is represented as hierarchy of
 the meta data files. Directories are also described by a meta data
 file which contains the same information as a document meta data
 file.
