## khelpcenter 24.08.0

=== debian/changelog ===
khelpcenter (4:24.08.0-0ubuntu2) oracular; urgency=medium

  * Fix data package breaks/replaces versioning.

 -- Rik Mills <rikmills@kde.org>  Sat, 28 Sep 2024 18:04:49 +0100

khelpcenter (4:24.08.0-0ubuntu1) oracular; urgency=medium

  * New upstream release.
  * Merge debian experimental.
  * Add breaks/replace khelpcenter. 

 -- Scarlett Moore <sgmoore@debian.org>  Tue, 03 Sep 2024 05:27:07 -0700

khelpcenter (4:24.05.2-4) unstable; urgency=medium

  [ Scarlett Moore ]
  * Remove inactive uploaders, thanks for your work. 

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Thu, 15 Aug 2024 00:53:25 -0700

khelpcenter (4:24.05.2-3) experimental; urgency=medium

  [ Scarlett Moore ]
  * Fix dependency version for data package.

 -- Scarlett Moore <sgmoore@debian.org>  Mon, 12 Aug 2024 09:46:16 -0700

khelpcenter (4:24.05.2-2) experimental; urgency=medium

  [ Scarlett Moore ]
  * Fix khelpcenter-data runtime depend typo.

 -- Scarlett Moore <sgmoore@debian.org>  Mon, 12 Aug 2024 06:55:34 -0700

khelpcenter (4:24.05.2-1) experimental; urgency=medium

  [ Debian Qt/KDE Maintainers ]
  * New upstream release (24.05.2).

  [ Scarlett Moore ]
  * Add myself to uploaders.
  * Update dependencies according to cmake.
  * Remove kf5 from rules.
  * Bump standards version 4.7.0; no changes required.
  * Refresh copyright.
  * Remove dhelp conflict as theversion does not exist in any recent release.
  * Split our arch independent data into -data package as per policy Section
    6.7.5.

 -- Scarlett Moore <sgmoore@debian.org>  Tue, 06 Aug 2024 05:46:04 -0700
