=== debian/control ===
Source: khelpcenter
Section: doc
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Scarlett Moore <sgmoore@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules (>= 6.0.0~),
               gettext,
               libkf6archive-dev (>= 6.0.0~),
               libkf6bookmarks-dev (>= 6.0.0~),
               libkf6config-dev (>= 6.0.0~),
               libkf6configwidgets-dev (>= 6.0.0~),
               libkf6coreaddons-dev (>= 6.0.0~),
               libkf6completion-dev (>= 6.0.0~),
               libkf6dbusaddons-dev(>= 6.0.0~),
               libkf6doctools-dev (>= 6.0.0~),
               libkf6i18n-dev (>= 6.0.0~),
               libkf6kio-dev (>= 6.0.0~),
               libkf6xmlgui-dev (>= 6.0.0~),
               libkf6service-dev (>= 6.0.0~),
               libkf6texttemplate-dev (>= 6.0.0~),
               libkf6widgetsaddons-dev (>= 6.0.0~),
               libkf6windowsystem-dev (>= 6.0.0~),
               libxapian-dev,
               libxml2-dev,
               pkgconf,
               qt6-base-dev (>= 6.5.0+dfsg~),
               qt6-webengine-dev (>= 6.5.0+dfsg~),
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://invent.kde.org/system/khelpcenter
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/khelpcenter
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/khelpcenter

Package: khelpcenter
Architecture: any
Depends: kdoctools6,
         khelpcenter-data (>= 4:24.05.2),
         ${misc:Depends},
         ${perl:Depends},
         ${shlibs:Depends},
Recommends: man-db,
Description: search and read system documentation
 KHelpCenter is an application to search and read documentation for 
 applications, modules, libraries, and system utilities.
 .
 It collects documentation from various sources (KDE community, man pages, etc) 
 and displays them in one window.
 .
 This package is part of the KDE System module.

Package: khelpcenter-data
Architecture: all
Multi-Arch: foreign
Breaks: khelpcenter (<< 4:24.08.0~)
Replaces: khelpcenter (<< 4:24.08.0~)
Depends: ${misc:Depends},
Description: search and read system documentation data
 KHelpCenter is an application to search and read documentation for
 applications, modules, libraries, and system utilities.
 .
 It collects documentation from various sources (KDE community, man pages, etc)
 and displays them in one window.
 .
 This package is part of the KDE System module.
 .
 This package contains the data files.
