## khelpcenter 24.08.2

=== debian/changelog ===
khelpcenter (4:24.08.2-1ubuntu1) plucky; urgency=medium

  * Merge from Debian Experimental.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 02 Nov 2024 17:55:26 -0500

khelpcenter (4:24.08.2-1) experimental; urgency=medium

  [ Scarlett Moore ]
  * Remove inactive uploaders, thanks for your work.

  [ Aurélien COUDERC ]
  * New upstream release (24.08.2).
  * Update build-deps and deps with the info from cmake.
  * Add missing Breaks/Replaces for the -data package split.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 14 Oct 2024 08:44:21 +0200
