=== debian/control ===
--- 
+++ 
@@ -12,19 +12,19 @@
                gettext,
                libkf6archive-dev (>= 6.0.0~),
                libkf6bookmarks-dev (>= 6.0.0~),
+               libkf6completion-dev (>= 6.0.0~),
                libkf6config-dev (>= 6.0.0~),
                libkf6configwidgets-dev (>= 6.0.0~),
                libkf6coreaddons-dev (>= 6.0.0~),
-               libkf6completion-dev (>= 6.0.0~),
                libkf6dbusaddons-dev(>= 6.0.0~),
                libkf6doctools-dev (>= 6.0.0~),
                libkf6i18n-dev (>= 6.0.0~),
                libkf6kio-dev (>= 6.0.0~),
-               libkf6xmlgui-dev (>= 6.0.0~),
                libkf6service-dev (>= 6.0.0~),
                libkf6texttemplate-dev (>= 6.0.0~),
                libkf6widgetsaddons-dev (>= 6.0.0~),
                libkf6windowsystem-dev (>= 6.0.0~),
+               libkf6xmlgui-dev (>= 6.0.0~),
                libxapian-dev,
                libxml2-dev,
                pkgconf,
@@ -45,10 +45,10 @@
          ${shlibs:Depends},
 Recommends: man-db,
 Description: search and read system documentation
- KHelpCenter is an application to search and read documentation for 
+ KHelpCenter is an application to search and read documentation for
  applications, modules, libraries, and system utilities.
  .
- It collects documentation from various sources (KDE community, man pages, etc) 
+ It collects documentation from various sources (KDE community, man pages, etc)
  and displays them in one window.
  .
  This package is part of the KDE System module.
