## khelpcenter 24.08.3

=== debian/changelog ===
khelpcenter (4:24.08.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Nov 2024 11:41:04 +0000
