## khelpcenter 24.11.90

=== debian/changelog ===
khelpcenter (4:24.11.90-0ubuntu1) plucky; urgency=medium

  * New upstream (RC) release (24.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 29 Nov 2024 14:08:31 +0000
