=== debian/control ===
--- 
+++ 
@@ -37,7 +37,7 @@
 Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/khelpcenter
 
 Package: khelpcenter
-Architecture: any
+Architecture: amd64 arm64 armhf
 Depends: kdoctools6,
          khelpcenter-data (>= 4:24.05.2),
          ${misc:Depends},
