## khelpcenter 24.12.2

=== debian/changelog ===
khelpcenter (4:24.12.2-1ubuntu1) plucky; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Limit build to architectures where QtWebEngine is available.

 -- Rik Mills <rikmills@kde.org>  Mon, 17 Feb 2025 13:37:02 +0000

khelpcenter (4:24.12.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Trim trailing whitespace.
  * Remove an obsolete maintscript entry.
  * Re-export upstream signing key without extra signatures.
  * CI: enable blhc again, as it works fine.
  * Make khelpcenter properly depend on the current version of
    khelpcenter-data, rather than an arbitrary one.
  * Concatenate GPG signatures.
  * Drop the unused ${perl:Depends} substvar for khelpcenter.
  * Properly handle the Python dependencies & shebangs using dh-python:
    - add the dh-sequence-python3 build dependency to use the python3 dh addon
    - replace the manual python3:any dependency in khelpcenter with the
      ${python3:Depends} substvar
    - point dh_python3 to libexec
    - drop the patch fix-env-binary-path, no more needed
  * Move the AppStream XML metainfo from khelpcenter-data to khelpcenter,
    together with the executable it represents
    - add proper breaks/replaces
  * Sort install files.

 -- Pino Toscano <pino@debian.org>  Sat, 15 Feb 2025 11:00:36 +0100

khelpcenter (4:24.12.2-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Feb 2025 14:17:16 +0000

khelpcenter (4:24.12.1-1) unstable; urgency=medium

  * New upstream release
  * Team upload

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Tue, 21 Jan 2025 07:56:12 +0100

khelpcenter (4:24.12.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (24.12.0).
  * Update build-deps and deps with the info from cmake.
  * Add patch to fix the location of the env binary used by
    searchhandlers/khc_mansearch.py.
  * Add python3:any dependency for searchhandlers/khc_mansearch.py.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 21 Dec 2024 23:45:49 +0100
