=== debian/control ===
--- 
+++ 
@@ -5,9 +5,10 @@
 XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Scarlett Moore <sgmoore@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
+               dh-sequence-python3,
+               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.0.0~),
                gettext,
                libkf6archive-dev (>= 6.0.0~),
@@ -39,11 +40,13 @@
 Package: khelpcenter
 Architecture: amd64 arm64 armhf
 Depends: kdoctools6,
-         khelpcenter-data (>= 4:24.05.2),
+         khelpcenter-data (>= ${source:Version}),
          ${misc:Depends},
-         ${perl:Depends},
+         ${python3:Depends},
          ${shlibs:Depends},
 Recommends: man-db,
+Breaks: khelpcenter-data (<< 4:24.12.2-1~),
+Replaces: khelpcenter-data (<< 4:24.12.2-1~),
 Description: search and read system documentation
  KHelpCenter is an application to search and read documentation for
  applications, modules, libraries, and system utilities.
@@ -56,9 +59,9 @@
 Package: khelpcenter-data
 Architecture: all
 Multi-Arch: foreign
-Breaks: khelpcenter (<< 4:24.08.0~)
-Replaces: khelpcenter (<< 4:24.08.0~)
 Depends: ${misc:Depends},
+Breaks: khelpcenter (<< 4:24.05.2-1~),
+Replaces: khelpcenter (<< 4:24.05.2-1~),
 Description: search and read system documentation data
  KHelpCenter is an application to search and read documentation for
  applications, modules, libraries, and system utilities.
